Loading...
Searching...
No Matches
rostlab::blast::location Class Reference

Two points in a source file. More...

`#include <blast-parser-location.h>`

Collaboration diagram for rostlab::blast::location:
[legend]

## Public Types

typedef position::filename_type | filename_type
| Type for file name.
typedef position::counter_type | counter_type
| Type for line and column numbers.

## Public Member Functions

| location (const position &b, const position &e)
| Construct a location from b to e.
| location (const position &p=position())
| Construct a 0-width location in p.
| location (filename_type *f, counter_type l=1, counter_type c=1)
| Construct a 0-width location in f, l, c.
void | initialize (filename_type *f=YY_NULLPTR, counter_type l=1, counter_type c=1)
| Initialization.
Line and Column related manipulators
void | step ()
| Reset initial location to final location.
void | columns (counter_type count=1)
| Extend the current location to the COUNT next columns.
void | lines (counter_type count=1)
| Extend the current location to the COUNT next lines.

## Public Attributes

position | begin
| Beginning of the located region.
position | end
| End of the located region.

## Detailed Description

Two points in a source file.

Definition at line 166 of file blast-parser-location.h.

## Member Typedef Documentation

## counter_type

typedef position::counter_type rostlab::blast::location::counter_type

Type for line and column numbers.

Definition at line 172 of file blast-parser-location.h.

## filename_type

typedef position::filename_type rostlab::blast::location::filename_type

Type for file name.

Definition at line 170 of file blast-parser-location.h.

## Constructor & Destructor Documentation

## location() [1/3]

rostlab::blast::location::location | ( | const position & | b,
|  | const position & | e )

inline

Construct a location from b to e.

Definition at line 175 of file blast-parser-location.h.

## location() [2/3]

rostlab::blast::location::location | ( | const position & | p = position () | ) |

inline explicit

Construct a 0-width location in p.

Definition at line 181 of file blast-parser-location.h.

## location() [3/3]

rostlab::blast::location::location | ( | filename_type * | f,
|  | counter_type | l = 1,
|  | counter_type | c = 1 )

inline explicit

Construct a 0-width location in f, l, c.

Definition at line 187 of file blast-parser-location.h.

## Member Function Documentation

## columns()

void rostlab::blast::location::columns | ( | counter_type | count = 1 | ) |

inline

Extend the current location to the COUNT next columns.

Definition at line 214 of file blast-parser-location.h.

## initialize()

void rostlab::blast::location::initialize | ( | filename_type * | f = YY_NULLPTR,
|  | counter_type | l = 1,
|  | counter_type | c = 1 )

inline

Initialization.

Definition at line 196 of file blast-parser-location.h.

## lines()

void rostlab::blast::location::lines | ( | counter_type | count = 1 | ) |

inline

Extend the current location to the COUNT next lines.

Definition at line 220 of file blast-parser-location.h.

## step()

void rostlab::blast::location::step | ( |  | ) |

inline

Reset initial location to final location.

Definition at line 208 of file blast-parser-location.h.

## Member Data Documentation

## begin

position rostlab::blast::location::begin

Beginning of the located region.

Definition at line 229 of file blast-parser-location.h.

## end

position rostlab::blast::location::end

End of the located region.

Definition at line 231 of file blast-parser-location.h.

The documentation for this class was generated from the following file:

- rostlab/blast-parser-location.h